Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Zwei Probleme in RPM
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in RPM
ID: SUSE-SU-2015:0107-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 12, SUSE Linux Enterprise Software Development Kit 12, SUSE Linux Enterprise Desktop 12
Datum: Do, 22. Januar 2015, 18:20
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6435
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8118

Originalnachricht

   SUSE Security Update: Security update for rpm
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:0107-1
Rating: important
References: #892431 #906803 #908128 #911228
Cross-References: CVE-2013-6435 CVE-2014-8118
Affected Products:
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Desktop 12
______________________________________________________________________________

An update that solves two vulnerabilities and has two fixes
is now available.

Description:

This rpm update fixes the following security and non-security issues:

- bnc#908128: Check for bad invalid name sizes (CVE-2014-8118)
- bnc#906803: Create files with mode 0 (CVE-2013-6435)
- bnc#892431: Honor --noglob in install mode
- bnc#911228: Fix noglob patch, it broke files with space.


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12:

zypper in -t patch SUSE-SLE-SDK-12-2015-40

- SUSE Linux Enterprise Server 12:

zypper in -t patch SUSE-SLE-SERVER-12-2015-40

- SUSE Linux Enterprise Desktop 12:

zypper in -t patch SUSE-SLE-DESKTOP-12-2015-40

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12 (ppc64le s390x x86_64):

rpm-debuginfo-4.11.2-10.1
rpm-debugsource-4.11.2-10.1
rpm-devel-4.11.2-10.1

- SUSE Linux Enterprise Server 12 (ppc64le s390x x86_64):

rpm-4.11.2-10.1
rpm-build-4.11.2-10.1
rpm-build-debuginfo-4.11.2-10.1
rpm-debuginfo-4.11.2-10.1
rpm-debugsource-4.11.2-10.1
rpm-python-4.11.2-10.1
rpm-python-debuginfo-4.11.2-10.1
rpm-python-debugsource-4.11.2-10.1

- SUSE Linux Enterprise Server 12 (s390x x86_64):

rpm-32bit-4.11.2-10.1
rpm-debuginfo-32bit-4.11.2-10.1

- SUSE Linux Enterprise Desktop 12 (x86_64):

rpm-32bit-4.11.2-10.1
rpm-4.11.2-10.1
rpm-build-4.11.2-10.1
rpm-build-debuginfo-4.11.2-10.1
rpm-debuginfo-32bit-4.11.2-10.1
rpm-debuginfo-4.11.2-10.1
rpm-debugsource-4.11.2-10.1
rpm-python-4.11.2-10.1
rpm-python-debuginfo-4.11.2-10.1
rpm-python-debugsource-4.11.2-10.1


References:

http://support.novell.com/security/cve/CVE-2013-6435.html
http://support.novell.com/security/cve/CVE-2014-8118.html
https://bugzilla.suse.com/show_bug.cgi?id=892431
https://bugzilla.suse.com/show_bug.cgi?id=906803
https://bugzilla.suse.com/show_bug.cgi?id=908128
https://bugzilla.suse.com/show_bug.cgi?id=911228

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung